<?php
/**
 * Model dla klasy MfParticipant
 *
 * @author ModGen
 */

class MfParticipant extends DataObject{


	/**
	 * nazwa tabeli
	 */
	static $tableName = 'mf_participant';

	/**
	 * nazwa klucza tabeli
	 */
	static $classTablePK = 'id_mf_participant';

	/**
	 * nazwa klasy
	 */
	static $className = __CLASS__;

	/**
	 * tablica mapująca pola klasy
	 */
	static $fields = array(
		'address' => 'address',
		'agree1' => 'agree1',
		'agree2' => 'agree2',
		'city' => 'city',
		'country' => 'country',
		'conference_fee' => 'conferenceFee',
		'degree' => 'degree',
		'email' => 'email',
		'fax' => 'fax',
		'fee_full' => 'feeFull',
		'fee_one_day' => 'feeOneDay',
		'id_mf_participant' => 'id',
		'institution' => 'institution',
		'message' => 'message',
		'message_long' => 'messageLong',
		'autor' => 'autor',
		'name' => 'name',
		'nip' => 'nip',
		'phone' => 'phone',
		'position' => 'position',
		'post_code' => 'postCode',
		'poster' => 'poster',
		'price' => 'price',
		'referat' => 'referat',
		'status' => 'status',
		'surname' => 'surname',
		'date_add' => 'dateAdd',
		'location' => 'location',
		'dinner' => 'dinner',
		'diet' => 'diet',
		'referat_lang' => 'referatLang',
		'poster_lang' => 'posterLang',
		'referat_file' => 'referatFile',
		'poster_file' => 'posterFile',
		'participation_option' => 'participationOption',
		'participation_days' => 'participationDays',
		'one_day_lodging' => 'oneDayLodging',
		'diet_special' => 'dietSpecial',
		'fee_room1' => 'feeRoom1',
		'fee_room_add_person' => 'feeRoomAddPerson'

	);


	private $address;
	private $agree1;
	private $agree2;
	private $city;
	private $country;
	private $conferenceFee;
	private $degree;
	private $email;
	private $fax;
	private $feeFull;
	private $feeOneDay;
	protected $id;
	private $institution;
	private $message;
	private $messageLong;
	private $autor;
	private $name;
	private $nip;
	private $phone;
	private $position;
	private $postCode;
	private $poster;
	private $price;
	private $referat;
	private $status;
	private $surname;
	private $dateAdd;
	private $location;
	private $dinner;
	private $diet;
	private $referatFile;
	private $referatLang;
	private $posterFile;
	private $posterLang;
	private $participationOption;
	private $participationDays;
	private $oneDayLodging;
	private $dietSpecial;
	private $feeRoom1;
	private $feeRoomAddPerson;





	// -- Konstruktor --


	function __construct( $address = null, $agree1 = null, $agree2 = null, $city = null, $conferenceFee = null, $degree = null, $email = null, $fax = null, $feeFull = null, $feeOneDay = null, $id = -1 , $institution = null, $message = null, $messageLong =null, $autor = null, $name = null, $nip = null, $phone = null, $position = null, $postCode = null, $poster = null, $price = null, $referat = null, $status = null, $surname = null){
		$this->address = $address;
		$this->agree1 = $agree1;
		$this->agree2 = $agree2;
		$this->city = $city;
		$this->conferenceFee = $conferenceFee;
		$this->degree = $degree;
		$this->email = $email;
		$this->fax = $fax;
		$this->feeFull = $feeFull;
		$this->feeOneDay = $feeOneDay;
		$this->id = $id;
		$this->institution = $institution;
		$this->message = $message;
		$this->messageLong = $messageLong;
		$this->autor = $autor;
		$this->name = $name;
		$this->nip = $nip;
		$this->phone = $phone;
		$this->position = $position;
		$this->postCode = $postCode;
		$this->poster = $poster;
		$this->price = $price;
		$this->referat = $referat;
		$this->status = $status;
		$this->surname = $surname;

	}



	// -- Get-y i Set-y --

	public function getAddress(){
		return $this->address;
	}

	public function setAddress($address){
		$this->address = $address;
	}

	
	public function getAgree1(){
		return $this->agree1;
	}

	public function setAgree1($agree1){
		$this->agree1 = $agree1;
	}

	
	public function getAgree2(){
		return $this->agree2;
	}

	public function setAgree2($agree2){
		$this->agree2 = $agree2;
	}

	
	public function getCity(){
		return $this->city;
	}

	public function setCity($city){
		$this->city = $city;
	}

	public function getCountry(){
		return $this->country;
	}

	public function setCountry($country){
		$this->country = $country;
	}

	
	public function getConferenceFee(){
		return $this->conferenceFee;
	}

	public function setConferenceFee($conferenceFee){
		$this->conferenceFee = $conferenceFee;
	}

	
	public function getDegree(){
		return $this->degree;
	}

	public function setDegree($degree){
		$this->degree = $degree;
	}

	
	public function getEmail(){
		return $this->email;
	}

	public function setEmail($email){
		$this->email = $email;
	}

	
	public function getFax(){
		return $this->fax;
	}

	public function setFax($fax){
		$this->fax = $fax;
	}

	
	public function getFeeFull(){
		return $this->feeFull;
	}
	
	public function getFeeFullUnserialize(){
		return unserialize($this->feeFull);
	}

	public function setFeeFull($feeFull){
		$this->feeFull = $feeFull;
	}

	
	public function getFeeOneDay(){
		return $this->feeOneDay;
	}

	public function setFeeOneDay($feeOneDay){
		$this->feeOneDay = $feeOneDay;
	}

	
	public function getId(){
		return $this->id;
	}

	public function setId($id){
		$this->id = $id;
	}

	
	public function getInstitution(){
		return $this->institution;
	}

	public function setInstitution($institution){
		$this->institution = $institution;
	}

	
	public function getMessageLong(){
		return $this->messageLong;
	}

	public function setMessageLong($messageLong){
		$this->messageLong = $messageLong;
	}
    
	public function getMessage(){
		return $this->message;
	}

	public function setMessage($message){
		$this->message = $message;
	}

	
	public function getAutor(){
		return $this->autor;
	}

	public function setAutor($s){
		$this->autor = $s;
	}
	public function getName(){
		return $this->name;
	}

	public function setName($name){
		$this->name = $name;
	}

	
	public function getNip(){
		return $this->nip;
	}

	public function setNip($nip){
		$this->nip = $nip;
	}

	
	public function getPhone(){
		return $this->phone;
	}

	public function setPhone($phone){
		$this->phone = $phone;
	}

	
	public function getPosition(){
		return $this->position;
	}

	public function setPosition($position){
		$this->position = $position;
	}

	
	public function getPostCode(){
		return $this->postCode;
	}

	public function setPostCode($postCode){
		$this->postCode = $postCode;
	}

	
	public function getPoster(){
		return $this->poster;
	}

	public function setPoster($poster){
		$this->poster = $poster;
	}

	
	public function getPrice(){
		return $this->price;
	}

	public function setPrice($price){
		$this->price = $price;
	}

	
	public function getReferat(){
		return $this->referat;
	}

	public function setReferat($referat){
		$this->referat = $referat;
	}

	
	public function getStatus(){
		return $this->status;
	}

	public function setStatus($status){
		$this->status = $status;
	}

	
	public function getSurname(){
		return $this->surname;
	}

	public function setSurname($surname){
		$this->surname = $surname;
	}
	public function getDateAdd(){
		return $this->dateAdd;
	}

	public function setDateAdd($date){
		$this->dateAdd = $date;
	}

	public function getLocation(){
		return $this->location;
	}

	public function setLocation($location){
		$this->location = $location;
	}

	public function getDinner(){
		return $this->dinner;
	}

	public function setDinner($dinner){
		$this->dinner = $dinner;
	}

	public function getDiet(){
		return $this->diet;
	}

	public function setDiet($diet){
		$this->diet = $diet;
	}

	public function getReferatFile(){
		return $this->referatFile;
	}

	public function setReferatFile($referatFile){
		$this->referatFile = $referatFile;
	}

	public function getPosterFile(){
		return $this->posterFile;
	}

	public function setPosterFile($posterFile){
		$this->posterFile = $posterFile;
	}

	public function getPosterLang(){
		return $this->posterLang;
	}

	public function setPosterLang($posterLang){
		$this->posterLang = $posterLang;
	}

	public function getReferatLang(){
		return $this->referatLang;
	}

	public function setReferatLang($referatLang){
		$this->referatLang = $referatLang;
	}

	public function getParticipationOption(){
		return $this->participationOption;
	}

	public function setParticipationOption($participationOption){
		$this->participationOption = $participationOption;
	}

	public function getParticipationDays(){
		return $this->participationDays;
	}

	public function setParticipationDays($participationDays){
		$this->participationDays = $participationDays;
	}

	public function getOneDayLodging(){
		return $this->oneDayLodging;
	}

	public function setOneDayLodging($oneDayLodging){
		$this->oneDayLodging = $oneDayLodging;
	}

	public function getDietSpecial(){
		return $this->dietSpecial;
	}

	public function setDietSpecial($dietSpecial){
		$this->dietSpecial = $dietSpecial;
	}

	public function getFeeRoom1(){
		return $this->feeRoom1;
	}

	public function setFeeRoom1($feeRoom1){
		$this->feeRoom1 = $feeRoom1;
	}

	public function getFeeRoomAddPerson(){
		return $this->feeRoomAddPerson;
	}

	public function setFeeRoomAddPerson($feeRoomAddPerson){
		$this->feeRoomAddPerson = $feeRoomAddPerson;
	}

	public function GetPosterFileUrl() {
		if ($this->getPosterFile()) {
			return Config::Get('URL_STATIC_CONTENT') . '/upload/File/' . $this->getPosterFile();
		} else {
			return null;
		}
	}

	public function GetReferatFileUrl() {
		if ($this->getReferatFile()) {
			return Config::Get('URL_STATIC_CONTENT') . '/upload/File/' . $this->getReferatFile();
		} else {
			return null;
		}
	}

	





	/**
	* Pobiera nazwę tabeli reprezentującej obiekt w SQL
	* @return string
	*/
	public  function GetTableName(){
	return self::$tableName;
	}

	/**
	* Pobiera nazwę klucza głównego tabeli
	* @return string
	*/
	public function GetClassTablePK() {
		return self::$classTablePK;
	}

	/**
	* Pobiera tablice mapującą pola klasy na pola tabeli
	* @return array
	*/
	public  function GetFields(){
		return self::$fields;
	}

	/**
	* Pobiera nazwę klasy
	* @return string
	*/
	public  function GetClassName(){
		return self::$className;
	}



}

?>
